/*  
 * KLDP Zilla Logic Part
 * Copyright 2004 (c) Sung Kim <hunkim@cs.ucsc.edu>
 *
 * This file is part of KLDPZilla
 *
 * KLDPZilla is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * KLDPZilla is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GForge; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
const APP_NAME = "kldpzilla";
const APP_PACKAGE = "/SungKim/kldpzilla";
const APP_VERSION = "0.1.5";

const APP_JAR_FILE = "kldpzilla.jar";
const APP_CONTENT_FOLDER = "content/kldpzilla/";

initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var chromef;

if(confirm("Install this into the application directory?  (Cancel will install into your profile directory)"))
     chromef = getFolder("Chrome");
else {
    chromef = getFolder("Profile", "chrome");
}
var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null)
if(err == SUCCESS) { 
    var jar = getFolder(chromef, APP_JAR_FILE);
    registerChrome(CONTENT | DELAYED_CHROME, jar, APP_CONTENT_FOLDER);
    err = performInstall();
    if(err != SUCCESS && err != REBOOT_NEEDED) {
	alert("Install failed. Error code:" + err);
	cancelInstall(err);
    }
} else { 
    alert("Failed to create " +APP_JAR_FILE +"\n"
	  +"You probably don't have appropriate permissions \n"
	  +"(write access to phoenix/chrome directory). \n"
	  +"_____________________________\nError code:" + err);
    cancelInstall(err);
}
